## pyvo 1.0

=== docs/requirements.txt ===
sphinx-astropy

## pyvo 0.0beta2~git20160808.c52cf43+dfsg

=== debian/changelog ===
pyvo (0.0beta2~git20160808.c52cf43+dfsg-1) unstable; urgency=low

  * Initial release. Closes: #832389

 -- Josue Ortega <josue@debian.org>  Sat, 13 Aug 2016 16:46:06 -0600

=== debian/control ===
Source: pyvo
Section: python
Priority: optional
Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Josue Ortega <josue@debian.org>
Build-Depends: debhelper (>=9),
 dh-python,
 python-all,
 python-setuptools,
 python-numpy (>= 1.4.0),
 python-astropy (>= 1.2.1),
 python-astropy-helpers (>= 1.2),
 python3-all,
 python3-setuptools,
 python3-numpy (>= 1.4.0),
 python3-astropy (>= 1.2.1),
 python3-astropy-helpers (>= 1.2)
Standards-Version: 3.9.8
Homepage: https://pypi.python.org/pypi/pyvo
Vcs-Git: https://anonscm.debian.org/cgit/debian-astro/packages/pyvo.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/pyvo.git

Package: python-pyvo
Architecture: all
Depends: ${misc:Depends},
 ${python:Depends},
 python-numpy (>= 1.4.0),
 python-astropy (>= 1.2.1)
Description: Python library for data services of the Virtual observatory (VO)
 The pyvo module currently provides these main capabilities:
 Find archives that provide particular data of a particular type and/or relates
 to a particular topic search an archive for datasets of a particular type.
 Do simple searches on catalogs or databases get information about an object via
 its name.
 .
 This is the Python 2 version of the package.

Package: python3-pyvo
Architecture: all
Depends: ${misc:Depends},
 ${python3:Depends},
 python3-numpy (>= 1.4.0),
 python3-astropy (>= 1.2.1)
Description: Python 3 library for data services of the Virtual observatory (VO)
 The pyvo module currently provides these main capabilities:
 Find archives that provide particular data of a particular type and/or relates
 to a particular topic search an archive for datasets of a particular type.
 Do simple searches on catalogs or databases get information about an object via
 its name.
 .
 This is the Python 3 version of the package.

=== debian/watch ===
# You must remove unused comment lines for the released package.
version=3
opts=dversionmangle=s/\+dfsg\.\d+$//,uversionmangle=s/(rc|a|b|c)/~$1/ \
  http://pypi.debian.net/pyvo/pyvo-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) \
  debian debian/repack

## pyvo 0.5.0+dfsg

=== debian/changelog ===
pyvo (0.5.0+dfsg-1) unstable; urgency=medium

  * New upstream release (0.5.0):
    - Updates debian/patches/removes-python-scripts.patch.
  * debian/watch: Adds dversionmangle.

 -- Josue Ortega <josue@debian.org>  Sun, 15 Jan 2017 11:54:35 -0600

pyvo (0.4.1+dfsg-1) unstable; urgency=low

  * New upstream release (0.4.1)
  * debian/watch: use github tags upstream tarball source
  * Minimum tests that just try and load the pyvo library
  * Manually reimport changes in ../pyvo_0.3.1+dfsg.orig.tar.gz not in-tree
  * debian/patches/removes-python-scripts.patch: Fix fuzz + minimise diff
  * Fix debian/repack by explicitly naming/pre-expanding @nonfree_files
  * Remove nonfree test inputs under: 'pyvo/{dal,registry}/tests/data/*.xml'
  * Split minimum to Build-Depends-Indep: to allow auto-building; Uploaders

 -- Paul Sladen <debian@paul.sladen.org>  Wed, 19 Oct 2016 00:03:02 +0200

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,20 @@
 Section: python
 Priority: optional
 Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
-Uploaders: Josue Ortega <josue@debian.org>
+Uploaders: Josue Ortega <josue@debian.org>,
+  Paul Sladen <debian@paul.sladen.org>
 Build-Depends: debhelper (>=9),
  dh-python,
  python-all,
  python-setuptools,
  python-numpy (>= 1.4.0),
  python-astropy (>= 1.2.1),
+ python3-all,
+ python3-numpy (>= 1.4.0),
+ python3-astropy (>= 1.2.1)
+Build-Depends-Indep:
+ python3-setuptools,
  python-astropy-helpers (>= 1.2),
- python3-all,
- python3-setuptools,
- python3-numpy (>= 1.4.0),
- python3-astropy (>= 1.2.1),
  python3-astropy-helpers (>= 1.2)
 Standards-Version: 3.9.8
 Homepage: https://pypi.python.org/pypi/pyvo

## pyvo 0.6.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Josue Ortega <josue@debian.org>,
   Paul Sladen <debian@paul.sladen.org>
-Build-Depends: debhelper (>=9),
+Build-Depends: debhelper (>=11),
  dh-python,
  python-all,
  python-setuptools,
@@ -17,10 +17,10 @@
  python3-setuptools,
  python-astropy-helpers (>= 1.2),
  python3-astropy-helpers (>= 1.2)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://pypi.python.org/pypi/pyvo
-Vcs-Git: https://anonscm.debian.org/cgit/debian-astro/packages/pyvo.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/pyvo.git
+Vcs-Git: https://salsa.debian.org/debian-astro-team/pyvo.git
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/pyvo
 
 Package: python-pyvo
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyvo


%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: python3-pyvo
Depends: python3-pyvo

Tests: python-pyvo
Depends: python-pyvo

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\.\d+$//,filenamemangle=s/.+\/v(\d\S*)\.tar\.gz/pyvo-$1\.tar\.gz/ \
  https://github.com/pyvirtobs/pyvo/tags .*/v(\d\S*)\.tar\.gz \
  debian debian/repack

## pyvo 0.6.1+dfsg

=== debian/changelog ===
pyvo (0.6.1+dfsg-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release (0.6.1):
    - Updates debian/patches.
  * Bumps compat level to 11.
  * Bumps Standards-Version to 4.1.3, changes copyright format URI to its secure
    form.
  * Updates Vcs Fields to salsa.debian.org.
  * Adds installation of example files.

 -- Josue Ortega <josue@debian.org>  Sun, 11 Feb 2018 12:07:53 -0600

pyvo (0.5.0.1+dfsg-1) experimental; urgency=medium

  * New upstream release (0.5.0.1):
    - Fix build error
    - Fix debian/tests for Python3 changes

 -- Paul Sladen <debian@paul.sladen.org>  Thu, 19 Jan 2017 16:49:58 +0100

## pyvo 0.8.1

=== debian/changelog ===
pyvo (0.8.1-1ubuntu1) cosmic; urgency=medium

  * pyvo.tools submodule no longer exist.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 02 Aug 2018 15:33:21 +0100

pyvo (0.8.1-1) unstable; urgency=medium

  * New upstream release (0.8.1).
  * Removes +dfsg version, new version does not longer needs it.
  * debian/changelog: Bumps Standards-Version to 4.1.5, no changes required.
  * Add patch to fix compatibility with Python 3.7.

 -- Josue Ortega <josue@debian.org>  Thu, 02 Aug 2018 12:24:30 +0800

pyvo (0.6.1+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on python3-requests (Closes: #891740)
  * Disable build time tests

 -- Ole Streicher <olebole@debian.org>  Thu, 12 Apr 2018 17:33:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pyvo
 Section: python
 Priority: optional
-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Josue Ortega <josue@debian.org>,
   Paul Sladen <debian@paul.sladen.org>
 Build-Depends: debhelper (>=11),
@@ -12,12 +13,13 @@
  python-astropy (>= 1.2.1),
  python3-all,
  python3-numpy (>= 1.4.0),
+ python3-requests,
  python3-astropy (>= 1.2.1)
 Build-Depends-Indep:
  python3-setuptools,
  python-astropy-helpers (>= 1.2),
  python3-astropy-helpers (>= 1.2)
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Homepage: https://pypi.python.org/pypi/pyvo
 Vcs-Git: https://salsa.debian.org/debian-astro-team/pyvo.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/pyvo

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,6 @@
 
 %:
 	dh $@ --with python2,python3 --buildsystem=pybuild
+
+override_dh_auto_test:
+	# Override tests since they all fail on an isolated system

## pyvo 0.9.2

=== debian/changelog ===
pyvo (0.9.2-2) unstable; urgency=medium

  * Remove python-astropy-helpers. (Closes: #919349)
  * Add patch to include version file generated at build time, otherwise
    package import does not work.

 -- Josue Ortega <josue@debian.org>  Sun, 20 Jan 2019 17:45:38 -0600

pyvo (0.9.2-1) unstable; urgency=medium

  * New upstream release (0.9.2):
    - Remove debian/patches/00-fix-async-compat-python37.patch since it has been
      applied by upstream.
  * Remove Python 2 package (Closes: #916523).
  * Bump Standards Version to 4.3.0, no changes were required.

 -- Josue Ortega <josue@debian.org>  Wed, 26 Dec 2018 15:20:14 -0600

=== debian/control ===
Source: pyvo
Section: python
Priority: optional
Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Josue Ortega <josue@debian.org>,
  Paul Sladen <debian@paul.sladen.org>
Build-Depends: debhelper (>=11),
 dh-python,
 python3-all,
 python3-numpy (>= 1.4.0),
 python3-requests,
 python3-astropy (>= 1.2.1)
Build-Depends-Indep:
 python3-setuptools,
 python3-astropy-helpers (>= 1.2)
Standards-Version: 4.3.0
Homepage: https://pypi.python.org/pypi/pyvo
Vcs-Git: https://salsa.debian.org/debian-astro-team/pyvo.git
Vcs-Browser: https://salsa.debian.org/debian-astro-team/pyvo

Package: python3-pyvo
Architecture: all
Depends: ${misc:Depends},
 ${python3:Depends},
 python3-numpy (>= 1.4.0),
 python3-astropy (>= 1.2.1)
Description: Python 3 library for data services of the Virtual observatory (VO)
 The pyvo module currently provides these main capabilities:
 Find archives that provide particular data of a particular type and/or relates
 to a particular topic search an archive for datasets of a particular type.
 Do simple searches on catalogs or databases get information about an object via
 its name.
 .
 This is the Python 3 version of the package.

## pyvo 0.9.3

=== debian/changelog ===
pyvo (0.9.3-1) unstable; urgency=medium

  [Ole Streicher]
  * Fix package autogenerated version, remove patches:
    - 00-create-auto-generated-version-file.patch and
    - removes-version-generator.patch

  [Josue Ortega]
  * New upstream release (0.9.3):
    - Refresh debian/patches
  * Add salsa-ci configuration file
  * Update package to use debhelper-compat (= 12)
  * debian/control: Add python3-mimeparse as package dependency
  * Bump Standards-Version to 4.4.0, no changes required

 -- Josue Ortega <josue@debian.org>  Mon, 12 Aug 2019 12:16:33 -0600

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Josue Ortega <josue@debian.org>,
   Paul Sladen <debian@paul.sladen.org>
-Build-Depends: debhelper (>=11),
+Build-Depends: debhelper-compat (= 12),
  dh-python,
  python3-all,
  python3-numpy (>= 1.4.0),
@@ -13,7 +13,7 @@
 Build-Depends-Indep:
  python3-setuptools,
  python3-astropy-helpers (>= 1.2)
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://pypi.python.org/pypi/pyvo
 Vcs-Git: https://salsa.debian.org/debian-astro-team/pyvo.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/pyvo
@@ -23,7 +23,8 @@
 Depends: ${misc:Depends},
  ${python3:Depends},
  python3-numpy (>= 1.4.0),
- python3-astropy (>= 1.2.1)
+ python3-astropy (>= 1.2.1),
+ python3-mimeparse
 Description: Python 3 library for data services of the Virtual observatory (VO)
  The pyvo module currently provides these main capabilities:
  Find archives that provide particular data of a particular type and/or relates

## pyvo 1.0

=== debian/changelog ===
pyvo (1.0-1) unstable; urgency=medium

  * New upstream release (1.0):
    + Refresh debian/patches
    + Remove debian/patches/removes-python-scripts.patch. Patch is no
      longer needed
  * Bump Standards-Version to 4.4.1. No changes required
  * debian/control: Add Rules-Requires-Root field

 -- Josue Ortega <josue@debian.org>  Fri, 27 Dec 2019 09:07:55 -0600

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,11 @@
 Build-Depends-Indep:
  python3-setuptools,
  python3-astropy-helpers (>= 1.2)
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://pypi.python.org/pypi/pyvo
 Vcs-Git: https://salsa.debian.org/debian-astro-team/pyvo.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/pyvo
+Rules-Requires-Root: no
 
 Package: python3-pyvo
 Architecture: all

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pyvo-$1\.tar\.gz/ \
  https://github.com/pyvirtobs/pyvo/tags .*/v*(\d\S*)\.tar\.gz

## pyvo 1.1

=== debian/changelog ===
pyvo (1.1-1) unstable; urgency=medium

  * New upstream release (1.1):
    + Refresh debian/patches.
  * debian/control: Add new line at EOF
  * Bump debhelper-compat to use (= 13)
  * debian/watch: Bump file standard version  to 4
  * Declare package Standard Version to be 4.5.1. No changes were
    required
  * debian/patches/use_system_astropy_helpers.patch: Document
    Forwarded header as not needed

 -- Josue Ortega <josue@debian.org>  Sun, 07 Feb 2021 13:14:57 -0600

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyvo


%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	# Override tests since they all fail on an isolated system

## pyvo 1.2.1

=== debian/changelog ===
pyvo (1.2.1-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ole Streicher ]
  * New upstream version 1.2.1. Closes: #1004517

 -- Ole Streicher <olebole@debian.org>  Thu, 03 Feb 2022 08:51:09 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Josue Ortega <josue@debian.org>,
   Paul Sladen <debian@paul.sladen.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-numpy (>= 1.4.0),
@@ -13,7 +13,7 @@
 Build-Depends-Indep:
  python3-setuptools,
  python3-astropy-helpers (>= 1.2)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://pypi.python.org/pypi/pyvo
 Vcs-Git: https://salsa.debian.org/debian-astro-team/pyvo.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/pyvo

=== debian/tests/control ===
Tests: python3-pyvo
Depends: python3-pyvo

## pyvo 1.4.2

=== docs/requirements.txt ===
sphinx-astropy
# 27/Oct/2021 - docutils pinned due to:
# https://github.com/readthedocs/readthedocs.org/issues/8616
# https://github.com/sphinx-doc/sphinx/issues/9727

docutils<0.18

=== debian/changelog ===
pyvo (1.4.2-2) unstable; urgency=medium

  * Astropy 6.0: Votable.tree.Table was renamed to TableElement

 -- Ole Streicher <olebole@debian.org>  Mon, 04 Dec 2023 08:33:06 +0100

pyvo (1.4.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.4.2
  * Drop use_system_astropy_helpers.patch: not needed anymore
  * Remove unneeded dependencies
  * Push Standards-Version to 4.6.2. No changes needed
  * Enable build and CI tests
  * Override false positive lintian error

 -- Ole Streicher <olebole@debian.org>  Sun, 05 Nov 2023 15:34:02 +0100

=== debian/control ===
Source: pyvo
Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Josue Ortega <josue@debian.org>,
           Paul Sladen <debian@paul.sladen.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-astropy,
               python3-pytest <!nocheck>,
               python3-requests,
               python3-requests-mock <!nocheck>
Build-Depends-Indep: python3-setuptools,
                     python3-setuptools-scm
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian-astro-team/pyvo
Vcs-Git: https://salsa.debian.org/debian-astro-team/pyvo.git
Homepage: https://pypi.python.org/pypi/pyvo
Rules-Requires-Root: no

Package: python3-pyvo
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Python 3 library for data services of the Virtual observatory (VO)
 The pyvo module currently provides these main capabilities:
 Find archives that provide particular data of a particular type and/or relates
 to a particular topic search an archive for datasets of a particular type.
 Do simple searches on catalogs or databases get information about an object via
 its name.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyvo
export PYBUILD_BEFORE_TEST=cp conftest.py {build_dir}
export PYBUILD_TEST_ARGS=--confcutdir=.
export PYBUILD_AFTER_TEST=rm {build_dir}/conftest.py


%:
	dh $@ --with python3 --buildsystem=pybuild

## pyvo 1.5.1

=== debian/changelog ===
pyvo (1.5.1-1) unstable; urgency=medium

  * New upstream release (1.5.1). (Closes: #1066728):
    + Drop Astropy-6.0-Votable.tree.Table-was-renamed-to-TableElemen.patch.
      Changes have been applied by upstream.
  * Drop python3-pyvo.examples. Upstream has stopped distributing
    example files
  * debian/control:
    + Update homepage field.
    + Add missing build dependencencies for pyproject backend.

 -- Josue Ortega <josue@debian.org>  Sun, 14 Apr 2024 19:15:22 -0600

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,14 @@
                python3-astropy,
                python3-pytest <!nocheck>,
                python3-requests,
-               python3-requests-mock <!nocheck>
+               python3-requests-mock <!nocheck>,
+               pybuild-plugin-pyproject
 Build-Depends-Indep: python3-setuptools,
                      python3-setuptools-scm
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/pyvo
 Vcs-Git: https://salsa.debian.org/debian-astro-team/pyvo.git
-Homepage: https://pypi.python.org/pypi/pyvo
+Homepage: https://github.com/astropy/pyvo
 Rules-Requires-Root: no
 
 Package: python3-pyvo

## pyvo 1.5.2

=== debian/changelog ===
pyvo (1.5.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.5.2 (Closes: #1074684)
  * Use new dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Sat, 20 Jul 2024 23:54:04 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-astropy,
                python3-pytest <!nocheck>,

## pyvo 1.6.1

=== debian/changelog ===
pyvo (1.6.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.6.1
  * Push Standards-Version to 4.7.0. No changes needed
  * Ignore Astropy warnings for stale IERS (Closes: #1078641)

 -- Ole Streicher <olebole@debian.org>  Wed, 26 Feb 2025 11:15:15 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                pybuild-plugin-pyproject
 Build-Depends-Indep: python3-setuptools,
                      python3-setuptools-scm
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/pyvo
 Vcs-Git: https://salsa.debian.org/debian-astro-team/pyvo.git
 Homepage: https://github.com/astropy/pyvo

## pyvo 1.6.2

=== debian/changelog ===
pyvo (1.6.2-2) unstable; urgency=medium

  * Team upload
  * Add python3-pytest-astropy test dependency

 -- Ole Streicher <olebole@debian.org>  Thu, 16 Oct 2025 13:19:59 +0200

pyvo (1.6.2-1) unstable; urgency=medium

  * New upstream release (1.6.2)
  * deebian/clean': Add file pyvo.egg-info/SOURCES.txt, (Closes: #1085792).
   Thanks Phil Wyett <philip.wyett@kathenas.org> for the
    patch.
  * debian/copyright:
    + Add missing copyright holders: Astropy-pyvo Developers
    + Update debian/* copyright holders years
  * Bump Standards-Version to 4.7.2. No changes required.

 -- Josue Ortega <josue@debian.org>  Thu, 01 May 2025 19:11:39 -0300

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,13 @@
                python3-all,
                python3-astropy,
                python3-pytest <!nocheck>,
+               python3-pytest-astropy <!nocheck>,
                python3-requests,
                python3-requests-mock <!nocheck>,
                pybuild-plugin-pyproject
 Build-Depends-Indep: python3-setuptools,
                      python3-setuptools-scm
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/pyvo
 Vcs-Git: https://salsa.debian.org/debian-astro-team/pyvo.git
 Homepage: https://github.com/astropy/pyvo

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: cd $AUTOPKGTEST_TMP && python3 -m pytest --pyargs pyvo
Depends: @, python3-pytest, python3-pytest-astropy, python3-requests-mock

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pyvo-$1\.tar\.gz/ \
  https://github.com/pyvirtobs/pyvo/tags .*/v*(\d\S*)\.tar\.gz

## pyvo 1.8

=== debian/changelog ===
pyvo (1.8-1) unstable; urgency=medium

  * Team upload.
  * d/watch: Version 5; followup to astropy organization
  * New upstream version 1.8
  * Rediff patches
  * Remove redundant Rules-Requires-Root: no

 -- Ole Streicher <olebole@debian.org>  Thu, 27 Nov 2025 11:01:30 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,6 @@
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/pyvo
 Vcs-Git: https://salsa.debian.org/debian-astro-team/pyvo.git
 Homepage: https://github.com/astropy/pyvo
-Rules-Requires-Root: no
 
 Package: python3-pyvo
 Architecture: all

=== debian/watch ===
Version: 5
Template: Github
Owner: astropy
Project: pyvo
